---
updatedAt: 2026-06-03T12:16:05.000Z
agentTools:
  projectIndex: https://docs.asaas.com/llms.txt
---

# Check pending documents

<br />

To retrieve pending documents and access their `onboardingUrl`.

> 🚧 Attention
>
> **After creating a subaccount, set a timeout of 15 seconds before making the call to this endpoint.**
>
> If the call to check subsequent documents is made immediately after creating the account, you may be informed to send non-mandatory documents because the account creation and validation with the tax authority have not yet been completed.
>
> The time is only required for validation, necessary data capture, and account creation.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Asaas",
    "description": "API pública de integração com a plataforma Asaas.",
    "version": "3.0.0"
  },
  "servers": [
    {
      "url": "https://api-sandbox.asaas.com",
      "description": "Sandbox"
    }
  ],
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "Account Document"
    }
  ],
  "paths": {
    "/v3/myAccount/documents": {
      "get": {
        "tags": [
          "Account Document"
        ],
        "summary": "Check pending documents",
        "description": "",
        "operationId": "check-pending-documents",
        "responses": {
          "200": {
            "description": "Ok",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AccountDocumentShowResponseDTO"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseDTO"
                },
                "example": {
                  "errors": [
                    {
                      "code": "error_code",
                      "description": "Error description"
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseDTO"
                },
                "example": {
                  "errors": [
                    {
                      "code": "invalid_access_token",
                      "description": "A chave de API fornecida é inválida"
                    }
                  ]
                }
              }
            }
          },
          "403": {
            "description": "Forbidden. Occurs when the request body is filled, GET method calls must have an empty body."
          }
        },
        "deprecated": false
      }
    }
  },
  "components": {
    "schemas": {
      "AccountDocumentGetResponseDTO": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique document identifier in Asaas",
            "example": "8d257732-2220-11ec-b695-b6af4a64184d",
            "deprecated": false
          },
          "status": {
            "$ref": "#/components/schemas/AccountDocumentGetResponseAccountDocumentStatus"
          }
        }
      },
      "AccountDocumentGetResponseAccountDocumentStatus": {
        "type": "string",
        "description": "Document approval status",
        "example": "PENDING",
        "deprecated": false,
        "enum": [
          "NOT_SENT",
          "PENDING",
          "APPROVED",
          "REJECTED"
        ]
      },
      "ErrorResponseDTO": {
        "type": "object",
        "properties": {
          "errors": {
            "type": "array",
            "description": "List of objects",
            "deprecated": false,
            "items": {
              "$ref": "#/components/schemas/ErrorResponseItemDTO"
            }
          }
        }
      },
      "ErrorResponseItemDTO": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "deprecated": false,
            "example": null
          },
          "description": {
            "type": "string",
            "description": "Error description",
            "deprecated": false,
            "example": null
          }
        },
        "description": "List of objects",
        "deprecated": false
      },
      "AccountDocumentShowResponseDTO": {
        "type": "object",
        "properties": {
          "rejectReasons": {
            "type": "string",
            "description": "Reason why account approval was rejected",
            "deprecated": false,
            "example": null
          },
          "data": {
            "type": "array",
            "description": "List of objects",
            "deprecated": false,
            "items": {
              "$ref": "#/components/schemas/AccountDocumentGroupResponseDTO"
            }
          }
        }
      },
      "AccountDocumentGroupResponseDTO": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique document group identifier in Asaas",
            "example": "172ed152-4fa4-43ad-9b69-39c323e9526c",
            "deprecated": false
          },
          "status": {
            "$ref": "#/components/schemas/AccountDocumentGroupResponseAccountDocumentStatus"
          },
          "type": {
            "$ref": "#/components/schemas/AccountDocumentGroupResponseAccountDocumentType"
          },
          "title": {
            "type": "string",
            "description": "Document group title",
            "example": "Minutes of election of the last board",
            "deprecated": false
          },
          "description": {
            "type": "string",
            "description": "Description",
            "example": "No description",
            "deprecated": false
          },
          "responsible": {
            "$ref": "#/components/schemas/AccountDocumentResponsibleResponseDTO"
          },
          "onboardingUrl": {
            "type": "string",
            "description": "URL for sending documents",
            "example": "https://example.com/cadastro.io/8ad196d6cbfcc5d05bfabcbb5c730f6a",
            "deprecated": false
          },
          "onboardingUrlExpirationDate": {
            "type": "string",
            "description": "Expiration date of the URL for sending documents",
            "format": "date-time",
            "example": "2025-03-04 00:00:00",
            "deprecated": false
          },
          "documents": {
            "type": "array",
            "description": "Documents that have already been sent with their respective identifiers",
            "deprecated": false,
            "items": {
              "$ref": "#/components/schemas/AccountDocumentGetResponseDTO"
            }
          }
        },
        "description": "List of objects",
        "deprecated": false
      },
      "AccountDocumentGroupResponseAccountDocumentStatus": {
        "type": "string",
        "description": "Document group status",
        "example": "NOT_SENT",
        "deprecated": false,
        "enum": [
          "NOT_SENT",
          "PENDING",
          "APPROVED",
          "REJECTED",
          "IGNORED"
        ]
      },
      "AccountDocumentGroupResponseAccountDocumentType": {
        "type": "string",
        "description": "Type of documents",
        "example": "MINUTES_OF_CONSTITUTION",
        "deprecated": false,
        "enum": [
          "ALLOW_BANK_ACCOUNT_DEPOSIT_STATEMENT",
          "CUSTOM",
          "EMANCIPATION_OF_MINORS",
          "ENTREPRENEUR_REQUIREMENT",
          "IDENTIFICATION_SELFIE",
          "IDENTIFICATION",
          "INVOICE",
          "MEI_CERTIFICATE",
          "MINUTES_OF_CONSTITUTION",
          "MINUTES_OF_ELECTION",
          "POWER_OF_ATTORNEY",
          "SOCIAL_CONTRACT"
        ]
      },
      "AccountDocumentResponsibleResponseDTO": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "description": "Responsible name",
            "example": "John Doe",
            "deprecated": false
          },
          "type": {
            "type": "array",
            "description": "Responsible type",
            "example": "ASSOCIATION",
            "deprecated": false,
            "items": {
              "$ref": "#/components/schemas/AccountDocumentResponsibleResponseAccountDocumentResponsibleType"
            },
            "enum": [
              "ALLOW_BANK_ACCOUNT_DEPOSIT_STATEMENT",
              "ASAAS_ACCOUNT_OWNER_EMANCIPATION_AGE",
              "ASAAS_ACCOUNT_OWNER",
              "ASSOCIATION",
              "BANK_ACCOUNT_OWNER_EMANCIPATION_AGE",
              "BANK_ACCOUNT_OWNER",
              "CUSTOM",
              "DIRECTOR",
              "INDIVIDUAL_COMPANY",
              "LIMITED_COMPANY",
              "MEI",
              "PARTNER",
              "POWER_OF_ATTORNEY"
            ]
          }
        },
        "description": "Who is responsible for sending these documents",
        "deprecated": false
      },
      "AccountDocumentResponsibleResponseAccountDocumentResponsibleType": {
        "type": "string",
        "description": "Responsible type",
        "example": "ASSOCIATION",
        "deprecated": false,
        "enum": [
          "ALLOW_BANK_ACCOUNT_DEPOSIT_STATEMENT",
          "ASAAS_ACCOUNT_OWNER_EMANCIPATION_AGE",
          "ASAAS_ACCOUNT_OWNER",
          "ASSOCIATION",
          "BANK_ACCOUNT_OWNER_EMANCIPATION_AGE",
          "BANK_ACCOUNT_OWNER",
          "CUSTOM",
          "DIRECTOR",
          "INDIVIDUAL_COMPANY",
          "LIMITED_COMPANY",
          "MEI",
          "PARTNER",
          "POWER_OF_ATTORNEY"
        ]
      }
    },
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "name": "access_token",
        "in": "header"
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "User-Agent",
        "value": "NomeDaSuaAplicacao/1.0.0"
      }
    ]
  }
}
```

# Sibling pages

* [Send documents](https://docs.asaas.com/reference/send-documents.md)
* [View document sent](https://docs.asaas.com/reference/view-document-sent.md)
* [Update sent document](https://docs.asaas.com/reference/update-sent-document.md)
* [Remove sent document](https://docs.asaas.com/reference/remove-sent-document.md)